# Class CIM_SSHSettingData
extends CIM_SettingData

A representation of the SettingData of an SSH endpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_SSHSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A representation of the SettingData of an SSH endpoint.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Compression | boolean | true
Description | string | If this property is true, SSH compression is enabled.
Write | boolean | true
EncryptionAlgorithm | uint16 |
Description | string | The encryption algorithm that will be in use if this SettingData is applied.
ModelCorrespondence | string | CIM_SSHSettingData.OtherEncryptionAlgorithm, CIM_SSHProtocolEndpoint.EnabledEncryptionAlgorithms
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, ..
Values | string | Unknown, Other, DES, DES3, RC4, IDEA, SKIPJACK, DMTF Reserved
Write | boolean | true
ForwardX11 | boolean | false
Description | string | If this property is true, the SSH X11 forwarding mode is enabled.
Write | boolean | true
IdleTimeout | uint32 | 0
Description | string | IdleTimeout specifies how long the connection can be idle before the connection is terminated. The default value, 0, indicates that there is no idle timeout period.
PUnit | string | second
Units | string | Seconds
Write | boolean | true
KeepAlive | boolean | false
Description | string | If this property is true, the SSH keep alive timer is enabled.
Write | boolean | true
OtherEnabledSSHVersion | string |
Description | string | When the EnabledSSHVersions property contains a value of 1, "Other" then this is a free form string providing more information about the SSH protocol. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHSettingData.EnabledSSHVersions
Write | boolean | true
OtherEncryptionAlgorithm | string |
Description | string | If the EncryptionAlgorithm property is set 1, "Other" then this is a free form string providing more information about the encryption algorithm in use. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHSettingData.EncryptionAlgorithm, CIM_SSHSettingData.OtherEnabledEncryptionAlgorithm
Write | boolean | true
SSHVersion | uint16 |
Description | string | The version of SSH that will be in use if this SettingData is applied.
ModelCorrespondence | string | CIM_SSHSettingData.OtherSSHVersion, CIM_SSHSettingData.EnabledSSHVersions
ValueMap | string | 0, 1, 2, 3, .., 32768..65535
Values | string | Unknown, Other, SSHv1, SSHv2, DMTF Reserved, Vendor Reserved
Write | boolean | true
EnabledEncryptionAlgorithms | uint16[] |
ArrayType | string | Indexed
Description | string | An array of integers indicating the encryption algorithms that are enabled for this SSH service. Its possible for an encryption algorithm to be supported and not currently enabled to be used.
ModelCorrespondence | string | CIM_SSHSettingData.OtherEnabledEncryptionAlgorithm
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, .., 32768..65535
Values | string | Unknown, Other, DES, DES3, RC4, IDEA, SKIPJACK, DMTF Reserved, Vendor Reserved
Write | boolean | true
EnabledSSHVersions | uint16[] |
Description | string | An array of integers indicating the version or versions of SSH protocol that will be enabled for the SSH endpoint.
ModelCorrespondence | string | CIM_SSHSettingData.OtherEnabledSSHVersion
ValueMap | string | 0, 1, 2, 3, .., 32768..65535
Values | string | Unknown, Other, SSHv1, SSHv2, DMTF Reserved, Vendor Reserved
Write | boolean | true
OtherEnabledEncryptionAlgorithm | string[] |
ArrayType | string | Indexed
Description | string | If the EnabledEncryptionAlgorithms property is set 1, "Other" this property contains a free form string providing more information about supported algorithms. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHProtocolEndpoint.EnabledEncryptionAlgorithms
Write | boolean | true
OtherSSHVersion | string[] |
ArrayType | string | Indexed
Description | string | If the CurrentSSHVersion property is set to 1, "Other" then this is a free form string providing more information about the current SSH protocol. If not set to 1, this string has no meaning.
ModelCorrespondence | string | CIM_SSHSettingData.SSHVersion, CIM_SSHSettingData.OtherEnabledSSHVersion
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods